Infront Data Manager Connect Client (.NET)

Public Member Functions | Events | List of all members
Gevasys.DataCore.Consumer.Manager.StreamingPartitioner Class Reference

More...

Inherits Gevasys.DataCore.Core.IConsumer.

## Public Member Functions
| StreamingPartitioner (String name, ParitionerStrategy strategy, bool automaticRebalancing, List< RebalanceTime > rebalancingTimes)
String | GetName ()
void | Add (ConsumerStore store)
void | Remove (ConsumerStore store)
void | Clear ()
void | AddInstrument (String instrument)
void | AddInstruments (InstrumentList instruments)
void | AddFilterElement (Common.FilterElement filterElement)
void | RemoveFilterElement (Common.FilterElement filterElement)
bool | IsAnyConsumerAlive ()
void | PrintInstrumentSizeForAliveStores ()
void | RequestRecaps (InstrumentList instruments)
bool | IsMember (IConsumer store)
void | AddExchange (String Exchange)
void | RemoveInstrument (String instrument)
void | RemoveInstruments (InstrumentList instruments)
void | RemoveExchange (String Exchange)
void | RemoveAll ()
InstrumentList | GetInstruments ()
ConsumerStoreStatistics | BuildStatistics ()
void | Rebalance ()
void | Run ()
void | Update (IConsumer source, ConsumerStateChangedEventArgs arg)
ConsumerType | GetConsumerType ()
void | SetFieldFilter (List< string > fieldList)
| Sets a list of fields as a data filter for the streaming connection on the server side. Only fields that exists in the field filter will be pushed. More...
void | RemoveFieldFilter ()
| Removes a field filter. More...
void | SubscribeNewsBroadcast ()
void | UnsubscribeNewsBroadcast ()
Public Member Functions inherited from Gevasys.DataCore.Core.IConsumer
void | AddFilterElement (FilterElement filterElement)
| Adds a FilterElement More...
void | RemoveFilterElement (FilterElement filterElement)
| Removes the FilterElement More...

## Events
EventHandler< ConsumerStateChangedEventArgs > | OnConsumerStateChanged

## Detailed Description

Represents a manager that manages a list of ConsumerStore an the distribution of instruments over all attached ConsumerStore.

This class also manages failover scenarios as well as dynamic load balancing.

## Constructor & Destructor Documentation

## ◆ StreamingPartitioner()

Gevasys.DataCore.Consumer.Manager.StreamingPartitioner.StreamingPartitioner | ( | String | name,
|  | ParitionerStrategy | strategy,
|  | bool | automaticRebalancing,
|  | List< RebalanceTime > | rebalancingTimes
| ) |  |
| inline

Initializes a new instance of the StreamingPartitioner class.

Parameters

  name | The name of the partitioner as configured in the configuration file.
  strategy | The distribution strategy for instruments among the attached consumers.
  automaticRebalancing | Enables or disables the automatic rebalancing of instruments.
  rebalancingTimes | A list of RebalanceTime.

## Member Function Documentation

## ◆ Add()

void Gevasys.DataCore.Consumer.Manager.StreamingPartitioner.Add | ( | ConsumerStore | store | ) |
| inline

Adds a ConsumerStore to the list of managed consumers.

Parameters

  store | The ConsumerStore.

## ◆ AddExchange()

void Gevasys.DataCore.Consumer.Manager.StreamingPartitioner.AddExchange | ( | String | Exchange | ) |
| inline

Adds and subscribes a exchange.

Parameters

  Exchange | The exchange.

<font color="#3F5FBF" size="2"> <font color="#3F5FBF" size="2">Not available in version 1.1.</font> </font>

Implements Gevasys.DataCore.Core.IConsumer.

## ◆ AddInstrument()

void Gevasys.DataCore.Consumer.Manager.StreamingPartitioner.AddInstrument | ( | String | instrument | ) |
| inline

Adds and subscribes a instrument.

Parameters

  instrument | The instrument.

Implements Gevasys.DataCore.Core.IConsumer.

## ◆ AddInstruments()

void Gevasys.DataCore.Consumer.Manager.StreamingPartitioner.AddInstruments | ( | InstrumentList | instruments | ) |
| inline

Adds and subscribes a list of instruments.

Parameters

  instruments | The list of instruments.

Implements Gevasys.DataCore.Core.IConsumer.

## ◆ Clear()

void Gevasys.DataCore.Consumer.Manager.StreamingPartitioner.Clear | ( |  | ) |
| inline

Removes all attached ConsumerStore.

## ◆ GetConsumerType()

ConsumerType Gevasys.DataCore.Consumer.Manager.StreamingPartitioner.GetConsumerType | ( |  | ) |
| inline

Gets the type of the Consumer.

Implements Gevasys.DataCore.Core.IConsumer.

## ◆ GetInstruments()

InstrumentList Gevasys.DataCore.Consumer.Manager.StreamingPartitioner.GetInstruments | ( |  | ) |
| inline

Get the list of subscribed instruments.

Returns
  The list of instruments.

Implements Gevasys.DataCore.Core.IConsumer.

## ◆ GetName()

String Gevasys.DataCore.Consumer.Manager.StreamingPartitioner.GetName | ( |  | ) |
| inline

Gets the name of the Consumer.

Returns
  The name or null if no name exists.

Implements Gevasys.DataCore.Core.IConsumer.

## ◆ IsAnyConsumerAlive()

bool Gevasys.DataCore.Consumer.Manager.StreamingPartitioner.IsAnyConsumerAlive | ( |  | ) |
| inline

True if any of the attached ConsumerStore is online. False if all ConsumerStore are offline.

## ◆ Remove()

void Gevasys.DataCore.Consumer.Manager.StreamingPartitioner.Remove | ( | ConsumerStore | store | ) |
| inline

Removes a ConsumerStore from the managed consumers.

## ◆ RemoveAll()

void Gevasys.DataCore.Consumer.Manager.StreamingPartitioner.RemoveAll | ( |  | ) |
| inline

Removes and unsubscribes all instruments and exchanges.

Implements Gevasys.DataCore.Core.IConsumer.

## ◆ RemoveExchange()

void Gevasys.DataCore.Consumer.Manager.StreamingPartitioner.RemoveExchange | ( | String | Exchange | ) |
| inline

Removes and unsubscribes a exchange.

<font color="#3F5FBF" size="2"> <font color="#3F5FBF" size="2">Available from version 2.x</font> </font>

Implements Gevasys.DataCore.Core.IConsumer.

## ◆ RemoveFieldFilter()

void Gevasys.DataCore.Consumer.Manager.StreamingPartitioner.RemoveFieldFilter | ( |  | ) |
| inline

Removes a field filter.

<font color="#3F5FBF" size="2"> <font color="#3F5FBF" size="2">Available from Version 2.x.</font> </font>

Implements Gevasys.DataCore.Core.IConsumer.

## ◆ RemoveInstrument()

void Gevasys.DataCore.Consumer.Manager.StreamingPartitioner.RemoveInstrument | ( | String | instrument | ) |
| inline

Removes an unsubscribes a instrument.

Parameters

  instrument | The instrument.

Implements Gevasys.DataCore.Core.IConsumer.

## ◆ RemoveInstruments()

void Gevasys.DataCore.Consumer.Manager.StreamingPartitioner.RemoveInstruments | ( | InstrumentList | instruments | ) |
| inline

Remove and unsubscribes a list of instruments.

Parameters

  instruments | <font color="#3F5FBF" size="2"> <font color="#3F5FBF" size="2">The list of Instruments</font> </font>

Implements Gevasys.DataCore.Core.IConsumer.

## ◆ RequestRecaps()

void Gevasys.DataCore.Consumer.Manager.StreamingPartitioner.RequestRecaps | ( | InstrumentList | instrumentList | ) |
| inline

Request recap messages for a list of instruments.

Parameters

  instrumentList | The list of instruments.

Implements Gevasys.DataCore.Core.IConsumer.

## ◆ SetFieldFilter()

void Gevasys.DataCore.Consumer.Manager.StreamingPartitioner.SetFieldFilter | ( | List< string > | fieldList | ) |
| inline

Sets a list of fields as a data filter for the streaming connection on the server side. Only fields that exists in the field filter will be pushed.

Parameters

  fieldList |

<font color="#3F5FBF" size="2"> <font color="#3F5FBF" size="2">Available from Version 2.x.</font> </font>

Implements Gevasys.DataCore.Core.IConsumer.

The documentation for this class was generated from the following file:

- StreamingPartitioner.cs

Copyright (C) 2021 Infront Financial Technology GmbH
Mainzer Landstrasse 178 – 190
60327 Frankfurt am Main
Infront Data Manager Connect V4.1